Name:           conda-build
Version:        24.3.0
Release:        %mkrel 3
Summary:        Commands and tools for building conda packages
License:        BSD-3-Clause AND BSD-2-Clause
Group:          Development/Python
URL:            https://github.com/conda/conda-build
Source0:        https://github.com/conda/conda-build/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
Requires:       python3dist(conda-build)

%global _description %{expand:
You can easily build your own packages for conda, and upload them to
anaconda.org, a free service for hosting packages for conda, as well as other
package managers.}

%description %_description

%package -n python3-conda-build
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-mock)
BuildRequires:  python3dist(flaky)
# For docs
BuildRequires:  python3dist(myst-parser)
BuildRequires:  python3dist(sphinx)
BuildRequires:  conda
BuildRequires:  git

%description -n python3-conda-build %_description

%prep
%autosetup -p1
# lief is not yet packaged and is not a hard dependency
sed -i -e '/lief/d' pyproject.toml
# do not run coverage in pytest
sed -i -E '/--(no-)?cov/d' pyproject.toml
# Not needed for man pages
sed -i -E -e '/linkify/d' -e '/sphinx_(design|sitemap)/d' docs/source/conf.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel
make -C docs man


%install
%pyproject_install
%pyproject_save_files conda_build
mkdir -p %{buildroot}%{_mandir}/man1
cp -p docs/_build/man/*.1 %{buildroot}%{_mandir}/man1/


%files
%{_bindir}/conda-build
%{_bindir}/conda-convert
%{_bindir}/conda-debug
%{_bindir}/conda-develop
%{_bindir}/conda-inspect
%{_bindir}/conda-metapackage
%{_bindir}/conda-render
%{_bindir}/conda-skeleton
%{_mandir}/man1/conda-build.1*

%files -n python3-conda-build -f %pyproject_files
%doc CHANGELOG.md README.md


%changelog
* Thu Jun 20 2024 papoteur <papoteur> 24.3.0-3.mga10
+ Revision: 2075871
- remove version requirement on python3-conda-build, not satisfied

* Tue May 14 2024 papoteur <papoteur> 24.3.0-2.mga10
+ Revision: 2064082
- relax requirement on python module

* Mon Mar 25 2024 papoteur <papoteur> 24.3.0-1.mga10
+ Revision: 2052188
- imported package conda-build

